<!DOCTYPE html>
<html lang="en" xmlns:v-on="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Eventos</title>
</head>
<body>

<main>
    <h2>Add task</h2>
    <form v-on:submit.prevent="addTask">
        <input type="text" v-model="newTask">
        <select v-model="priorityTask">
            <option value="Half">Half</option>
            <option value="High">High</option>
            <option value="Low">Low</option>
        </select>
        <button type="submit">Add</button>
    </form>
    <hr>
    <h3>List task</h3>
    <ul>
        <li v-for="task in listTask">{{ task.name }} <b>({{ task.priority }})</b></li>
    </ul>
</main>


<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

<script>
    new Vue({
        el: 'main',
        data: {
            newTask: null,
            priorityTask: null,
            listTask: [
                {name: "Terminar curso de Vue", priority: "Half"},
                {name: "Visitar mis padres", priority: "High"},
                {name: "Terminar el año bien", priority: "Low"},
            ]
        },
        methods: {
            addTask() {
                this.listTask.unshift({
                    name: this.newTask,
                    priority: this.priorityTask
                });
                this.newTask = null;
                this.priorityTask = null;
            }
        }
    })
</script>

</body>
</html>